ExtendedAccessLogValve.RequestHeaderElement (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.catalina.valves, class: ExtendedAccessLogValve, class: RequestHeaderElement

# Class ExtendedAccessLogValve.RequestHeaderElement

java.lang.Object
org.apache.catalina.valves.ExtendedAccessLogValve.RequestHeaderElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `ExtendedAccessLogValve`

protected static class ExtendedAccessLogValve.RequestHeaderElement extends Object implements AbstractAccessLogValve.AccessLogElement
Log element that outputs a specific request header value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestHeaderElement(String header)`
  Creates a new RequestHeaderElement for the specified header.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(CharArrayWriter buf, Request request, Response response, long time)`
  Called to create an access log entry.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AbstractAccessLogValve.AccessLogElement

  `addElement`

- ## Constructor Details

  - ### RequestHeaderElement

    public RequestHeaderElement(String header)
    Creates a new RequestHeaderElement for the specified header.
    Parameters:
      `header` - the name of the request header

- ## Method Details

  - ### addElement

    public void addElement(CharArrayWriter buf, Request request, Response response, long time)
    Description copied from interface: `AbstractAccessLogValve.AccessLogElement`
    Called to create an access log entry.
    Specified by:
      `addElement` in interface `AbstractAccessLogValve.AccessLogElement`
    Parameters:
      `buf` - The buffer to which the log element should be added
      `request` - The request that triggered this access log entry
      `response` - The response to the request that triggered this access log entry
      `time` - The time taken in nanoseconds to process the request